Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "linear",
  "type": "LINEAR_TRIGGER_ISSUE_DELETED",
  "parameters": {
    "teamId": "a70bdf0f-530a-4887-857d-46151b52b47c",
    "filterFormula": "Field"
  }
}
Configuration options:
teamId
TEXTAREA
Use Connect Portal User Settings to allow users to select a Linear Team’s ID. Leaving this blank will trigger this workflow for every public team.
  • Example value: a70bdf0f-530a-4887-857d-46151b52b47c
  • Options can be loaded by using the getTeams key. Learn more in User Configuration.
filterFormula
CONDITIONAL
Only trigger on records that match these filters. Please maintain casing of the string for proper filtering.
  • Example value: Field
  • Supported filter fields: title, team.id, organizationId, state.id, labelIds
  • Supported operators: $arrayIsIn, $arrayIsNotIn, $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringIsIn, $stringIsNotIn, $stringStartsWith, $stringDoesNotStartWith, $stringEndsWith, $stringDoesNotEndWith, $stringContains, $stringDoesNotContain, $stringGreaterThan, $stringLessThan, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $numberGreaterThan, $numberLessThan, $dateTimeAfter, $dateTimeBefore